## mediabox 0.92.1

=== Makefile ===
# No autotools madness here. Just a simple Makefile to satisfy dpkg-buildpackage


NAME=mediabox
ICON_FILE=maemo-data/mediabox-mc.png
DESKTOP_FILE=maemo-data/mediabox-mc.desktop
SERVICE_FILE=maemo-data/de.pycage.mediabox.service

# installation destination
LIBDIR=/usr/lib/${NAME}

# files to copy into destination
COPY_FILES=idtags   \
	   mediabox \
	   theme    \
 	   ui       \
	   utils    \
	   viewers  \
	   MediaBox.py
	  
EXEC_FILE=MediaBox.py



_LIBDIR=${DESTDIR}${LIBDIR}
_DESKTOPDIR=${DESTDIR}/usr/share/applications/hildon
_SERVICEDIR=${DESTDIR}/usr/share/dbus-1/services
_ICONDIR=${DESTDIR}/usr/share/icons


clean:
	@true

all:
	@true
    
    
install-lib:
	mkdir -p ${_LIBDIR}
	cp -r ${COPY_FILES} ${_LIBDIR}
	find ${_LIBDIR} -name ".svn" -exec rm -rf "{}" \; ; true
	find ${_LIBDIR} -name "*~" -exec rm -f "{}" \; ; true
	find ${_LIBDIR} -name "*.pyc" -exec rm -f "{}" \; ; true
	chmod a+x ${_LIBDIR}/${EXEC_FILE}
	
install-maemo:
	mkdir -p ${_ICONDIR} ${_SERVICEDIR} ${_DESKTOPDIR}
	cp ${ICON_FILE} ${_ICONDIR}
	cp ${SERVICE_FILE} ${_SERVICEDIR}
	cp ${DESKTOP_FILE} ${_DESKTOPDIR}

install: install-lib install-maemo
	@true

=== debian/changelog ===
mediabox (0.92.1) unstable; urgency=low

  * fixed bug in clock module which caused MediaBox to hang during startup
  during winter season.
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Mon, 24 Dec 2007 13:15:00 +0100

mediabox (0.92) unstable; urgency=low

  * fixed bugs
  
  * improved stability
  
  * support for internet radio stations
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Mon, 17 Dec 2007 18:00:00 +0100

mediabox (0.91.1) unstable; urgency=low

  * fixed critical bug which broke radio station list and caused MediaBox to
  hang during startup
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Tue, 11 Dec 2007 20:00:00 +0100

mediabox (0.91) unstable; urgency=low

  * fixed bugs
  
  * added FM radio
  
  * added buttons for next track and previous track
  
  * improved mplayer communication for better performance
  
  * improved theming capabilities

 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 09 Dec 2007 21:20:00 +0100

mediabox (0.90.2-1) unstable; urgency=low

  * fixed mplayer sound issue on OS 2008

 -- Martin Grimme <martin.grimme@lintegra.de>  Tue, 28 Nov 2007 22:50:00 +0100

mediabox (0.90.1-1) unstable; urgency=low

  * added fallback module to run when gconf bindings are missing

 -- Martin Grimme <martin.grimme@lintegra.de>  Tue, 27 Nov 2007 20:00:00 +0100

mediabox (0.90-1) unstable; urgency=low

  * Initial release

 -- Martin Grimme <martin.grimme@lintegra.de>  Mon, 26 Nov 2007 19:00:00 +0100

=== debian/control ===
Source: mediabox
Section: user/multimedia
Priority: optional
Maintainer: Martin Grimme <martin.grimme@lintegra.de>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: mediabox
Architecture: any
Depends: python2.5, mplayer
Description: A media center for Nokia Internet Tablets
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAABmJLR0QAAAAAAAD5Q7t/AAAACXBIWXMAAA3WAAAN1gGQb3mcAAACoklEQVRIx+2US0iUURTHf/ebr9EZxxkVX71UNMtXYGhED4qChDaR1KqHuLNNFkLRrkWrFm2iaFPt3LUpCCKSiKJgMAozjcF8IejM5Mw443zjzHzz3RZ9H/h+5C48cLn3nnP+5385/8OFLVvDxGbAVzuPbheKUQ8UCCHzhZA1Qsiih/e9l60cdV2Frh9pFEIWmoUqwNg+N5eqyHZq51aArJ/g2s3DdxOJ+EmXSzlq+YpKHFTtKTZcOSW4nKWAgk2xE5rx8a6nfwF+TQLFNtfVcqbcWZhfh9NRiJQSKSWpdEyJRIeZDH5lbDSKfzJO67lWYIMEAKVFzYxPfKLX618Sm41lBkH1utyyjWU0XRcBQK/Xz2ws81PXba9V1Ra221W/lCKsqsKHFH6kdmVTBABPHvXVrhS7cfvA8i3eCMG/2BbBmraSyCt9IQpAR+ehW4ZMnjYymZpct7rDCsYTU/PzJCAXEPz9W/S2hDZ3Kq9AabH8aT1mHXMuXKx/0NDobC/bvRdPbgWO7AKklEwGvxAKj1h5NiCzhCASjt6prnV2NDXXke+pJs9dCVLiG31JUYkDoGpXmb29bt9BmUiGxaw2hZYIEgqPMT4aJRDQmBhLPzY7YyxukSjdqXacOH4Mw9Cx2bIIRXz8Dg3Q3zclZ2aSAigHmI4MCC2eNuJxPaOnMyIQ0FTDkIwMxd+/eO67t6oGv0a/kZ2t4nGHSCSn5fBQRPinUr7PHwI9QFX3s6Guge8zl+r2e5osTQb7o96Jca37R9/kF8A+T4MFYoqz5xtOuD3G08LirEoAXSfgG4x9fPNq6C2QBkZMjN18nFUoBcSBaSBo7gYgF0+LYgKzgBzAYRZOzYsLYJsppHVPAglAM3e52jiKeQtr3My7XCZ3sU/yX9kfipAKGtdWh2UAAAAASUVORK5CYII=

## mediabox 0.93

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 # files to copy into destination
 COPY_FILES=idtags   \
 	   mediabox \
+	   mediascanner \
 	   theme    \
  	   ui       \
 	   utils    \
@@ -25,7 +26,7 @@
 _LIBDIR=${DESTDIR}${LIBDIR}
 _DESKTOPDIR=${DESTDIR}/usr/share/applications/hildon
 _SERVICEDIR=${DESTDIR}/usr/share/dbus-1/services
-_ICONDIR=${DESTDIR}/usr/share/icons
+_ICONDIR=${DESTDIR}/usr/share/icons/hicolor/scalable/apps
 
 
 clean:

=== debian/changelog ===
mediabox (0.93) unstable; urgency=low

  * Highly improved media scanner for quick scanning and quick startup.

  * Support for various ID3 tag versions (v1, v2.2, v2.3, v2.4).
  
  * Support for album art embedded in ID3 tags.
  
  * High-performant GDK-based rendering engine for a responsive UI and
  more transition effects.
  
  * Buttons for skipping and zooming in the image viewer.
  
  * Enhancements in the default theme.
  
  * Application icon now has the proper size on OS 2008.
  
  * Bugfixes
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Mon, 23 Jan 2008 19:13:00 +0100

## mediabox 0.94

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 # files to copy into destination
 COPY_FILES=idtags   \
 	   mediabox \
+	   mediaplayer \
 	   mediascanner \
 	   theme    \
  	   ui       \

=== debian/changelog ===
mediabox (0.94) unstable; urgency=low

  * Improved caching in media scanner to further minimize scanning time
  
  * Theme enhancements
  
  * Media folders can now be filtered by media content types

  * Automatic detection of memory card replacement (scans for new media)

  * Support for the button on the headset (pause/play)
  
  * Loudspeakers can be switched on for FM radio
  
  * Support for reading FLAC tags

  * Alternative media player backend for the osso-media-server adds support for
  more media formats (such as real media and MP4)
  
  * Bugfixes

 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 10 Feb 2008 19:10:00 +0100

## mediabox 0.94.1

=== debian/changelog ===
mediabox (0.94.1) unstable; urgency=low

  Added support for non-UTF-8 text encodings in ID3 tags
  
  FM radio stops playing when playing other media
  
  Slightly smoother video playback with mplayer
  
  Fullscreen video no longer grabs input
  
  MediaBox no longer hangs at startup after clearing the media collection
  
  Bugfixes

 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 18 Feb 2008 23:10:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,6 @@
 
 Package: mediabox
 Architecture: any
-Depends: python2.5, mplayer
+Depends: python2.5-runtime, mplayer
 Description: A media center for Nokia Internet Tablets
 XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAABmJLR0QAAAAAAAD5Q7t/AAAACXBIWXMAAA3WAAAN1gGQb3mcAAACoklEQVRIx+2US0iUURTHf/ebr9EZxxkVX71UNMtXYGhED4qChDaR1KqHuLNNFkLRrkWrFm2iaFPt3LUpCCKSiKJgMAozjcF8IejM5Mw443zjzHzz3RZ9H/h+5C48cLn3nnP+5385/8OFLVvDxGbAVzuPbheKUQ8UCCHzhZA1Qsiih/e9l60cdV2Frh9pFEIWmoUqwNg+N5eqyHZq51aArJ/g2s3DdxOJ+EmXSzlq+YpKHFTtKTZcOSW4nKWAgk2xE5rx8a6nfwF+TQLFNtfVcqbcWZhfh9NRiJQSKSWpdEyJRIeZDH5lbDSKfzJO67lWYIMEAKVFzYxPfKLX618Sm41lBkH1utyyjWU0XRcBQK/Xz2ws81PXba9V1Ra221W/lCKsqsKHFH6kdmVTBABPHvXVrhS7cfvA8i3eCMG/2BbBmraSyCt9IQpAR+ehW4ZMnjYymZpct7rDCsYTU/PzJCAXEPz9W/S2hDZ3Kq9AabH8aT1mHXMuXKx/0NDobC/bvRdPbgWO7AKklEwGvxAKj1h5NiCzhCASjt6prnV2NDXXke+pJs9dCVLiG31JUYkDoGpXmb29bt9BmUiGxaw2hZYIEgqPMT4aJRDQmBhLPzY7YyxukSjdqXacOH4Mw9Cx2bIIRXz8Dg3Q3zclZ2aSAigHmI4MCC2eNuJxPaOnMyIQ0FTDkIwMxd+/eO67t6oGv0a/kZ2t4nGHSCSn5fBQRPinUr7PHwI9QFX3s6Guge8zl+r2e5osTQb7o96Jca37R9/kF8A+T4MFYoqz5xtOuD3G08LirEoAXSfgG4x9fPNq6C2QBkZMjN18nFUoBcSBaSBo7gYgF0+LYgKzgBzAYRZOzYsLYJsppHVPAglAM3e52jiKeQtr3My7XCZ3sU/yX9kfipAKGtdWh2UAAAAASUVORK5CYII=

## mediabox 0.94.2

=== debian/changelog ===
mediabox (0.94.2) unstable; urgency=low

  Fixed integer bug in gconf-workaround module (which is used where gconf
  Python bindings are unavailable due to a packaging bug in pymaemo)
  
  Fixed bug in theme selector touch sensitivity
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Thu, 21 Feb 2008 20:40:00 +0100

## mediabox 0.95

=== Makefile ===
--- 
+++ 
@@ -43,6 +43,7 @@
 	find ${_LIBDIR} -name ".svn" -exec rm -rf "{}" \; ; true
 	find ${_LIBDIR} -name "*~" -exec rm -f "{}" \; ; true
 	find ${_LIBDIR} -name "*.pyc" -exec rm -f "{}" \; ; true
+	find ${_LIBDIR} -name "*.xcf" -exec rm -f "{}" \; ; true
 	chmod a+x ${_LIBDIR}/${EXEC_FILE}
 	
 install-maemo:

=== debian/changelog ===
mediabox (0.95) unstable; urgency=low

  Playlist editor with support for drag-sorting

  Huge memory and speed optimizations (folders with several hundred songs load
  without problems)
  
  Music tracks are sorted by track number if available

  Search-as-you-type for title text in albums and playlists (for models with
  a keyboard)
  
  Revised UI based on user suggestions
    
  Bugfixes

 -- Martin Grimme <martin.grimme@lintegra.de>  Thu, 08 May 2008 19:00:00 +0200

## mediabox 0.96.1

=== Makefile ===
--- 
+++ 
@@ -10,14 +10,18 @@
 LIBDIR=/usr/lib/${NAME}
 
 # files to copy into destination
-COPY_FILES=idtags   \
+COPY_FILES=com      \
+	   components \
+	   idtags   \
+	   io       \
 	   mediabox \
 	   mediaplayer \
-	   mediascanner \
+	   storage  \
 	   theme    \
  	   ui       \
+	   upnp     \
 	   utils    \
-	   viewers  \
+	   mimetypes.mapping \
 	   MediaBox.py
 	  
 EXEC_FILE=MediaBox.py
@@ -31,6 +35,8 @@
 
 
 clean:
+	find . -name "*.pyc" -exec rm "{}" \;
+	find . -name "*~" -exec rm "{}" \;
 	@true
 
 all:
@@ -55,3 +61,7 @@
 install: install-lib install-maemo
 	@true
 
+doc:
+	epydoc -n ${NAME} --parse-only -o ../www/apidoc -v \
+	       com idtags io mediabox storage theme ui upnp utils
+

=== debian/changelog ===
mediabox (0.96.1) unstable; urgency=low

  Playlist gets saved after reordering

  Fixed bug where after removing items a list gets stuck and cannot be scrolled
  anymore
  
  Made indexing behavior less optimistic to avoid dead entries
  
  Albums can be closed in the folder view
  
  Adding an image folder to a playlist adds its contents

 -- Martin Grimme <martin.grimme@lintegra.de>  Tue, 30 Dec 2008 12:00:00 +0100

mediabox (0.96-2) unstable; urgency=low

  Instant theme switching without the need to restart
  
  New plugin architecture for extending MediaBox
  
  Folder-based browsing
  
  UPnP framework and UPnP AV support
 
  Media bookmarking per file
  
  Shuffle & repeat
  
  Playlist editor and playqueue
  
  Search-as-you-type with finger-friendly on-screen keyboard
  
  File indexing with inotify kernel support and tag-based browsing
  
  Car-mode for easy controlling while driving (play/pause, previous, next)
  
  Bugfixes

 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 28 Dec 2008 12:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,6 @@
 
 Package: mediabox
 Architecture: any
-Depends: python2.5-runtime, mplayer
+Depends: python2.5-runtime, mplayer, mediabox-compat-plugin (=1.0), mediabox-compat-theme (=1.0)
 Description: A media center for Nokia Internet Tablets
 XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAABmJLR0QAAAAAAAD5Q7t/AAAACXBIWXMAAA3WAAAN1gGQb3mcAAACoklEQVRIx+2US0iUURTHf/ebr9EZxxkVX71UNMtXYGhED4qChDaR1KqHuLNNFkLRrkWrFm2iaFPt3LUpCCKSiKJgMAozjcF8IejM5Mw443zjzHzz3RZ9H/h+5C48cLn3nnP+5385/8OFLVvDxGbAVzuPbheKUQ8UCCHzhZA1Qsiih/e9l60cdV2Frh9pFEIWmoUqwNg+N5eqyHZq51aArJ/g2s3DdxOJ+EmXSzlq+YpKHFTtKTZcOSW4nKWAgk2xE5rx8a6nfwF+TQLFNtfVcqbcWZhfh9NRiJQSKSWpdEyJRIeZDH5lbDSKfzJO67lWYIMEAKVFzYxPfKLX618Sm41lBkH1utyyjWU0XRcBQK/Xz2ws81PXba9V1Ra221W/lCKsqsKHFH6kdmVTBABPHvXVrhS7cfvA8i3eCMG/2BbBmraSyCt9IQpAR+ehW4ZMnjYymZpct7rDCsYTU/PzJCAXEPz9W/S2hDZ3Kq9AabH8aT1mHXMuXKx/0NDobC/bvRdPbgWO7AKklEwGvxAKj1h5NiCzhCASjt6prnV2NDXXke+pJs9dCVLiG31JUYkDoGpXmb29bt9BmUiGxaw2hZYIEgqPMT4aJRDQmBhLPzY7YyxukSjdqXacOH4Mw9Cx2bIIRXz8Dg3Q3zclZ2aSAigHmI4MCC2eNuJxPaOnMyIQ0FTDkIwMxd+/eO67t6oGv0a/kZ2t4nGHSCSn5fBQRPinUr7PHwI9QFX3s6Guge8zl+r2e5osTQb7o96Jca37R9/kF8A+T4MFYoqz5xtOuD3G08LirEoAXSfgG4x9fPNq6C2QBkZMjN18nFUoBcSBaSBo7gYgF0+LYgKzgBzAYRZOzYsLYJsppHVPAglAM3e52jiKeQtr3My7XCZ3sU/yX9kfipAKGtdWh2UAAAAASUVORK5CYII=

## mediabox 0.96.2

=== debian/changelog ===
mediabox (0.96.2) unstable; urgency=low

  Loading themes from ~/.mediabox/themes doesn't raise an exception anymore
  
  Smoothly animated zooming in the image viewer
  
  Preloading the next image in the background in the image viewer
  
  Configuration option for keeping the display light on
  
  Refuse thumbnailing or loading of images with more than 8 megapixels
  
  Caching of UPnP directory server listings

 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 03 Jan 2009 18:30:00 +0100

## mediabox 0.96.3-2

=== debian/changelog ===
mediabox (0.96.3-2) unstable; urgency=low

  Back button closes embedded album listing.
  
  "All Tracks" option in artists view for listing all tracks belonging to an
  artist at once
  
  Configuration option for changing the player backend per media format
   
  Revised mediaplayer backend implementation making creation of new backends
  easier
  
  New experimental player backend for GStreamer
  
  Thumbnails and the ID tag cache are stored on the medium where the associated
  files are located
  
  Fixed bug that stopped thumbnailing after an error
  
  Use insanely high number for parameter RequestedCount when browsing UPnP
  server in order to retrieve all items even from UPnP servers misinterpreting
  the RequestedCount part in the ContentDirectory specification (fixes ORB)

  Fixed bug that broke compatibility with Microsoft's UPnP media servers

 -- Martin Grimme <martin.grimme@lintegra.de>  Wed, 21 Jan 2009 20:30:00 +0100

## mediabox 0.96.4

=== debian/changelog ===
mediabox (0.96.4) unstable; urgency=low

  Browse music by genre
  
  Improved UI rendering performance
  
  Advanced list navigation with slide effects and remembering last position
  
  Fixed some media indexing bugs
  
  Downscaling of hi-res videos for smoother playback in the mplayer backend

  Display can be kept lit while playing media
  
  Headset button gestures (1x: PLAY/PAUSE, 2x: NEXT, 3x: PREVIOUS) in the maemo
  input schema
  
  Small workaround to get smoother video playback with mplayer on maemo
  
  Option in the media scanner preferences to reset thumbnail previews and have
  them generated again
  
  Command line options for disabling plugins
  
  Plugin compatibility API bumped to 1.01
  
  Bugfixes

 -- Martin Grimme <martin.grimme@lintegra.de>  Tue, 03 Mar 2009 21:00:00 +0100

## mediabox 0.96.4.1

=== Makefile ===
--- 
+++ 
@@ -63,5 +63,7 @@
 
 doc:
 	epydoc -n ${NAME} --parse-only -o ../www/apidoc -v \
-	       com idtags io mediabox storage theme ui upnp utils
+	       --no-sourcecode --show-private --inheritance=included \
+	       --parse-only \
+	       com storage theme # idtags io mediabox storage theme ui upnp utils

=== debian/changelog ===
mediabox (0.96.4.1) unstable; urgency=low

  Fixed end-of-file detection for video streams in the mplayer backend

 -- Martin Grimme <martin.grimme@lintegra.de>  Mon, 09 Mar 2009 19:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,11 @@
 
 Package: mediabox
 Architecture: any
-Depends: python2.5-runtime, mplayer, mediabox-compat-plugin (=1.0), mediabox-compat-theme (=1.0)
+Depends: python2.5-runtime, mplayer, mediabox-compat-plugin (=1.01), mediabox-compat-theme (=1.0)
 Description: A media center for Nokia Internet Tablets
+ MediaBox Media Center was built to handle large collections of
+ media and lets you browse and play your music and videos and show
+ your photos either from your memory cards, or remotely over the
+ network via UPnP/DLNA.
+ More features are available as plugins.
 XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAABmJLR0QAAAAAAAD5Q7t/AAAACXBIWXMAAA3WAAAN1gGQb3mcAAACoklEQVRIx+2US0iUURTHf/ebr9EZxxkVX71UNMtXYGhED4qChDaR1KqHuLNNFkLRrkWrFm2iaFPt3LUpCCKSiKJgMAozjcF8IejM5Mw443zjzHzz3RZ9H/h+5C48cLn3nnP+5385/8OFLVvDxGbAVzuPbheKUQ8UCCHzhZA1Qsiih/e9l60cdV2Frh9pFEIWmoUqwNg+N5eqyHZq51aArJ/g2s3DdxOJ+EmXSzlq+YpKHFTtKTZcOSW4nKWAgk2xE5rx8a6nfwF+TQLFNtfVcqbcWZhfh9NRiJQSKSWpdEyJRIeZDH5lbDSKfzJO67lWYIMEAKVFzYxPfKLX618Sm41lBkH1utyyjWU0XRcBQK/Xz2ws81PXba9V1Ra221W/lCKsqsKHFH6kdmVTBABPHvXVrhS7cfvA8i3eCMG/2BbBmraSyCt9IQpAR+ehW4ZMnjYymZpct7rDCsYTU/PzJCAXEPz9W/S2hDZ3Kq9AabH8aT1mHXMuXKx/0NDobC/bvRdPbgWO7AKklEwGvxAKj1h5NiCzhCASjt6prnV2NDXXke+pJs9dCVLiG31JUYkDoGpXmb29bt9BmUiGxaw2hZYIEgqPMT4aJRDQmBhLPzY7YyxukSjdqXacOH4Mw9Cx2bIIRXz8Dg3Q3zclZ2aSAigHmI4MCC2eNuJxPaOnMyIQ0FTDkIwMxd+/eO67t6oGv0a/kZ2t4nGHSCSn5fBQRPinUr7PHwI9QFX3s6Guge8zl+r2e5osTQb7o96Jca37R9/kF8A+T4MFYoqz5xtOuD3G08LirEoAXSfgG4x9fPNq6C2QBkZMjN18nFUoBcSBaSBo7gYgF0+LYgKzgBzAYRZOzYsLYJsppHVPAglAM3e52jiKeQtr3My7XCZ3sU/yX9kfipAKGtdWh2UAAAAASUVORK5CYII=

## mediabox 0.96.5

=== debian/changelog ===
mediabox (0.96.5) unstable; urgency=low

  Support for LRC file format for music lyrics

  Slideshow in the image viewer

  Special lists "50 Recently Played" and "Bookmarked Files"

  Sleep and wake up timer (fall asleep and wake up with music or FM radio)
  
  Rewind and fast forward

  Shuffle and repeat modes can be switched by clicking the status bar icons

  Improved UI rendering performance and reduced memory footprint
  
  Improved search feature with skipping to next and previous results
  
  Cleaner user interface
  
  Thumbable scrollbar
  
  Translucent dialog screens
  
  Reduced startup time
  
  mplayer backend doesn't intercept key presses anymore
  
  Plugin compatibility API bumped to 1.1
  
  Support for reference nodes in UPnP content directories

  Bugfixes

 -- Martin Grimme <martin.grimme@lintegra.de>  Fri, 29 May 2009 22:30:00 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: mediabox
 Architecture: any
-Depends: python2.5-runtime, mplayer, mediabox-compat-plugin (=1.01), mediabox-compat-theme (=1.0)
+Depends: python2.5-runtime, mplayer, mediabox-compat-plugin (=1.1), mediabox-compat-theme (=1.1)
 Description: A media center for Nokia Internet Tablets
  MediaBox Media Center was built to handle large collections of
  media and lets you browse and play your music and videos and show

## mediabox 0.96.5-2

=== debian/changelog ===
mediabox (0.96.5-2) unstable; urgency=low

  Support for LRC file format for music lyrics

  Slideshow in the image viewer

  Special lists "50 Recently Played" and "Bookmarked Files"

  Sleep and wake up timer (fall asleep and wake up with music or FM radio)
  
  Rewind and fast forward

  Shuffle and repeat modes can be switched by clicking the status bar icons

  Improved UI rendering performance and reduced memory footprint
  
  Improved search feature with skipping to next and previous results
  
  Cleaner user interface
  
  Thumbable scrollbar
  
  Translucent dialog screens
  
  Reduced startup time
  
  mplayer backend doesn't intercept key presses anymore
  
  Plugin compatibility API bumped to 1.1
  
  Support for reference nodes in UPnP content directories

  Bugfixes

 -- Martin Grimme <martin.grimme@lintegra.de>  Mon, 01 Jun 2009 12:15:00 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: mediabox
 Architecture: any
-Depends: python2.5-runtime, mplayer, mediabox-compat-plugin (=1.1), mediabox-compat-theme (=1.1)
+Depends: python2.5-runtime, mplayer, mediabox-compat-plugin (=1.10), mediabox-compat-theme (=1.10)
 Description: A media center for Nokia Internet Tablets
  MediaBox Media Center was built to handle large collections of
  media and lets you browse and play your music and videos and show

## mediabox 0.96.5-4

=== Makefile ===
--- 
+++ 
@@ -36,19 +36,22 @@
 
 clean:
 	find . -name "*.pyc" -exec rm "{}" \;
+	find . -name "*.pyo" -exec rm "{}" \;
 	find . -name "*~" -exec rm "{}" \;
 	@true
 
 all:
 	@true
-    
-    
+
+py-compile:
+	python2.5 -OO pycompile/compileall.py -x MediaBox.py ${_LIBDIR}; true
+	find ${_LIBDIR} -name "*.py" | grep -v MediaBox.py | xargs rm; true
+
 install-lib:
 	mkdir -p ${_LIBDIR}
 	cp -r ${COPY_FILES} ${_LIBDIR}
 	find ${_LIBDIR} -name ".svn" -exec rm -rf "{}" \; ; true
 	find ${_LIBDIR} -name "*~" -exec rm -f "{}" \; ; true
-	find ${_LIBDIR} -name "*.pyc" -exec rm -f "{}" \; ; true
 	find ${_LIBDIR} -name "*.xcf" -exec rm -f "{}" \; ; true
 	chmod a+x ${_LIBDIR}/${EXEC_FILE}
 	
@@ -58,12 +61,20 @@
 	cp ${SERVICE_FILE} ${_SERVICEDIR}
 	cp ${DESKTOP_FILE} ${_DESKTOPDIR}
 
-install: install-lib install-maemo
+install: install-lib install-maemo py-compile
 	@true
 
 doc:
 	epydoc -n ${NAME} --parse-only -o ../www/apidoc -v \
 	       --no-sourcecode --show-private --inheritance=included \
 	       --parse-only \
-	       com storage theme # idtags io mediabox storage theme ui upnp utils
+	       com io mediaplayer storage theme ui upnp utils \
+	       components/vkb/__messages__.py \
+           components/mediascanner/__messages__.py \
+           components/core/__messages__.py \
+           components/input/__messages__.py \
+           components/playlist_viewer/__messages__.py \
+           components/ssdp_monitor/__messages__.py \
+           components/dialog/__messages__.py \
+           components/system/__messages__.py # idtags io mediabox storage theme ui

=== debian/changelog ===
mediabox (0.96.5-4) unstable; urgency=low

  Support for LRC file format for music lyrics

  Slideshow in the image viewer

  Special lists "50 Recently Played" and "Bookmarked Files"

  Sleep and wake up timer (fall asleep and wake up with music or FM radio)
  
  Rewind and fast forward

  Shuffle and repeat modes can be switched by clicking the status bar icons

  Improved UI rendering performance and reduced memory footprint
  
  Improved search feature with skipping to next and previous results
  
  Cleaner user interface
  
  Thumbable scrollbar
  
  Translucent dialog screens
  
  Reduced startup time
  
  mplayer backend doesn't intercept key presses anymore
  
  Plugin compatibility API bumped to 1.1
  
  Support for reference nodes in UPnP content directories

  Bugfixes

 -- Martin Grimme <martin.grimme@lintegra.de>  Mon, 01 Jun 2009 14:30:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: optional
 Maintainer: Martin Grimme <martin.grimme@lintegra.de>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 5), python2.5
 Standards-Version: 3.7.2
 
 Package: mediabox

## mediabox 0.96.5-5

=== debian/changelog ===
mediabox (0.96.5-5) unstable; urgency=low

  Support for LRC file format for music lyrics

  Slideshow in the image viewer

  Special lists "50 Recently Played" and "Bookmarked Files"

  Sleep and wake up timer (fall asleep and wake up with music or FM radio)
  
  Rewind and fast forward

  Shuffle and repeat modes can be switched by clicking the status bar icons

  Improved UI rendering performance and reduced memory footprint
  
  Improved search feature with skipping to next and previous results
  
  Cleaner user interface
  
  Thumbable scrollbar
  
  Translucent dialog screens
  
  Reduced startup time
  
  mplayer backend doesn't intercept key presses anymore
  
  Plugin compatibility API bumped to 1.1
  
  Support for reference nodes in UPnP content directories

  Bugfixes

 -- Martin Grimme <martin.grimme@lintegra.de>  Mon, 01 Jun 2009 14:30:00 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: mediabox
 Architecture: any
-Depends: python2.5-runtime, mplayer, mediabox-compat-plugin (=1.10), mediabox-compat-theme (=1.10)
+Depends: python2.5-runtime, mediabox-compat-plugin (=1.10), mediabox-compat-theme (=1.10)
 Description: A media center for Nokia Internet Tablets
  MediaBox Media Center was built to handle large collections of
  media and lets you browse and play your music and videos and show

## mediabox 2009.10.7

=== debian/changelog ===
mediabox (2009.10.7) unstable; urgency=low

  First unstable beta-release for Fremantle
  
  Major UI redesigns

 -- Martin Grimme <martin.grimme@lintegra.de>  Wed, 07 Oct 2009 21:30:00 +0200

## mediabox 2009.10.18

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 SERVICE_FILE=maemo-data/de.pycage.mediabox.service
 
 # installation destination
-LIBDIR=/usr/lib/${NAME}
+LIBDIR=/opt/${NAME}
 
 # files to copy into destination
 COPY_FILES=com      \
@@ -16,6 +16,7 @@
 	   io       \
 	   mediabox \
 	   mediaplayer \
+	   platforms \
 	   storage  \
 	   theme    \
  	   ui       \
@@ -23,7 +24,8 @@
 	   utils    \
 	   mimetypes.mapping \
 	   MediaBox.py
-	  
+
+
 EXEC_FILE=MediaBox.py
 
 
@@ -50,19 +52,20 @@
 install-lib:
 	mkdir -p ${_LIBDIR}
 	cp -r ${COPY_FILES} ${_LIBDIR}
-	find ${_LIBDIR} -name ".svn" -exec rm -rf "{}" \; ; true
-	find ${_LIBDIR} -name "*~" -exec rm -f "{}" \; ; true
-	find ${_LIBDIR} -name "*.xcf" -exec rm -f "{}" \; ; true
 	chmod a+x ${_LIBDIR}/${EXEC_FILE}
-	
+
 install-maemo:
 	mkdir -p ${_ICONDIR} ${_SERVICEDIR} ${_DESKTOPDIR}
 	cp ${ICON_FILE} ${_ICONDIR}
 	cp ${SERVICE_FILE} ${_SERVICEDIR}
 	cp ${DESKTOP_FILE} ${_DESKTOPDIR}
 
+purge:
+	rm -rf ${PURGE_FILES}
+	
 install: install-lib install-maemo py-compile
 	@true
+
 
 doc:
 	epydoc -n ${NAME} --parse-only -o ../www/apidoc -v \

=== debian/changelog ===
mediabox (2009.10.18) unstable; urgency=low

  Finger gestures in the image viewer and video player
  
  Fullscreen mode in image viewer and video player
  
  Forward and rewind in the video player with swipe finger gestures
  
  Time display in audio and video player
  
  Preferences items can be put on dashboard for quick access

 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 18 Oct 2009 22:30:00 +0200
 

mediabox (2009.10.16) unstable; urgency=low

  Added option for deleting files
  
  Improved speed of navigator

 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 17 Oct 2009 00:30:00 +0200

mediabox (2009.10.15) unstable; urgency=low

  Thumbnailing of albums

  Disabled tracker idtags module because it doesn't retrieve album art
  
  Hardware keys work for controlling volume
  
  Fixed some rendering glitches

 -- Martin Grimme <martin.grimme@lintegra.de>  Thu, 15 Oct 2009 22:30:00 +0200

mediabox (2009.10.9) unstable; urgency=low

  Preventing display blanking works again
  
  Fixed portrait mode issue with option menus
  
  The media scanner uses tracker on Fremantle

 -- Martin Grimme <martin.grimme@lintegra.de>  Fri, 09 Oct 2009 22:30:00 +0200

=== debian/control ===
Source: mediabox
Section: user/multimedia
Priority: optional
Maintainer: Martin Grimme <martin.grimme@lintegra.de>
Build-Depends: debhelper (>= 5), python2.5-minimal
Standards-Version: 3.7.2

Package: mediabox
Architecture: any
### DIABLO
#Depends: python2.5-runtime, mplayer, mediabox-compat-plugin (=1.1), mediabox-compat-theme (=1.1)
### FREMANTLE
Depends: python2.5, python-gtk2, python-gobject, python-osso, python-hildon, python-dbus, python-gst0.10
Description: A media center for Nokia Internet Tablets
 .
 MediaBox Media Center was built to handle large collections of media and lets you browse and play your music and videos and show your photos either from your memory cards, or remotely over the network via UPnP/DLNA.
 .
 More features are available as plugins.
### DIABLO
#XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAABmJLR0QAAAAAAAD5Q7t/AAAACXBIWXMAAA3WAAAN1gGQb3mcAAACoklEQVRIx+2US0iUURTHf/ebr9EZxxkVX71UNMtXYGhED4qChDaR1KqHuLNNFkLRrkWrFm2iaFPt3LUpCCKSiKJgMAozjcF8IejM5Mw443zjzHzz3RZ9H/h+5C48cLn3nnP+5385/8OFLVvDxGbAVzuPbheKUQ8UCCHzhZA1Qsiih/e9l60cdV2Frh9pFEIWmoUqwNg+N5eqyHZq51aArJ/g2s3DdxOJ+EmXSzlq+YpKHFTtKTZcOSW4nKWAgk2xE5rx8a6nfwF+TQLFNtfVcqbcWZhfh9NRiJQSKSWpdEyJRIeZDH5lbDSKfzJO67lWYIMEAKVFzYxPfKLX618Sm41lBkH1utyyjWU0XRcBQK/Xz2ws81PXba9V1Ra221W/lCKsqsKHFH6kdmVTBABPHvXVrhS7cfvA8i3eCMG/2BbBmraSyCt9IQpAR+ehW4ZMnjYymZpct7rDCsYTU/PzJCAXEPz9W/S2hDZ3Kq9AabH8aT1mHXMuXKx/0NDobC/bvRdPbgWO7AKklEwGvxAKj1h5NiCzhCASjt6prnV2NDXXke+pJs9dCVLiG31JUYkDoGpXmb29bt9BmUiGxaw2hZYIEgqPMT4aJRDQmBhLPzY7YyxukSjdqXacOH4Mw9Cx2bIIRXz8Dg3Q3zclZ2aSAigHmI4MCC2eNuJxPaOnMyIQ0FTDkIwMxd+/eO67t6oGv0a/kZ2t4nGHSCSn5fBQRPinUr7PHwI9QFX3s6Guge8zl+r2e5osTQb7o96Jca37R9/kF8A+T4MFYoqz5xtOuD3G08LirEoAXSfgG4x9fPNq6C2QBkZMjN18nFUoBcSBaSBo7gYgF0+LYgKzgBzAYRZOzYsLYJsppHVPAglAM3e52jiKeQtr3My7XCZ3sU/yX9kfipAKGtdWh2UAAAAASUVORK5CYII=
### FREMANTLE
XB-Maemo-Icon-26: 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

## mediabox 2010.01.03

=== debian/changelog ===
mediabox (2010.01.03) unstable; urgency=low

  Optimizations
  
  Added new user's tour explaining the most important features of MediaBox

 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 03 Jan 2010 13:00:00 +0100

mediabox (2010.01.02) unstable; urgency=low

  Added simple PLS support to GstBackend (good enough for playing SHOUTcast
  radio)
  
  Added option for manual file indexing

 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 02 Jan 2010 16:00:00 +0100

mediabox (2010.01.01) unstable; urgency=low

  Theme graphics
  
  Fixed portrait mode image viewer
  
  Fixed portrait mode video player (will only play sound in portrait mode, but
  at least no longer crashes the app)
  
  Volume/zoom keys can be swapped in portrait mode
  
  Compact view has four columns of icons in landscape mode
  
  Support for enhanced LRC lyrics with Karaoke-style highlighting
  
  A semaphore between video player and video thumbnailer helps avoid system
  crashes with both struggling for the DSP

 -- Martin Grimme <martin.grimme@lintegra.de>  Fri, 01 Jan 2010 23:00:00 +0100

mediabox (2009.12.27) unstable; urgency=low

  New file index implementation

 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 27 Dec 2009 13:00:00 +0100

mediabox (2009.12.22) unstable; urgency=low

  Bug fixes and cleaning up

 -- Martin Grimme <martin.grimme@lintegra.de>  Tue, 22 Dec 2009 18:45:00 +0100

mediabox (2009.11.2) unstable; urgency=low

  Some cleaning up

 -- Martin Grimme <martin.grimme@lintegra.de>  Mon, 02 Nov 2009 22:30:00 +0100

mediabox (2009.11.1) unstable; urgency=low

  Experimental output for UPnP MediaRenderer devices

 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 01 Nov 2009 13:15:00 +0100

mediabox (2009.10.25) unstable; urgency=low

  Cleaned up dashboard screen
  
  Playlists can be put on dashbboard
  
  Shuffle and repeat settings can be changed
  
  Thumbnailers use org.freedesktop.thumbnailer service
  
  Slideshow in the image viewer

 -- Martin Grimme <martin.grimme@lintegra.de>  Tue, 27 Oct 2009 20:00:00 +0100
 

mediabox (2009.10.19) unstable; urgency=low

  Support for the N900 FM transmitter
  
  Playlist items can be rearranged

 -- Martin Grimme <martin.grimme@lintegra.de>  Mon, 19 Oct 2009 22:30:00 +0200

## mediabox 2010.01.04

=== Makefile ===
--- 
+++ 
@@ -63,6 +63,7 @@
 purge:
 	rm -rf ${PURGE_FILES}
 	
+#install: install-lib install-maemo
 install: install-lib install-maemo py-compile
 	@true

=== debian/changelog ===
mediabox (2010.01.04) unstable; urgency=low

  Fixed bug where UPnP shares with their own icon did not appear
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Mon, 04 Jan 2010 20:45:00 +0100

## mediabox 2010.01.05

=== debian/changelog ===
mediabox (2010.01.05) unstable; urgency=low

  Fixed bug where a chinook entry in the application manager caused MediaBox
  to assume it runs on Maemo4
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Tue, 05 Jan 2010 21:15:00 +0100

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,11 @@
 ### DIABLO
 #Depends: python2.5-runtime, mplayer, mediabox-compat-plugin (=1.1), mediabox-compat-theme (=1.1)
 ### FREMANTLE
-Depends: python2.5, python-gtk2, python-gobject, python-osso, python-hildon, python-dbus, python-gst0.10
-Description: A media center for Nokia Internet Tablets
- .
+Depends: python2.5, python-gtk2, python-gobject, python-osso, python-hildon, python-gconf, python-dbus, python-gst0.10
+Description: Media Center for Nokia Internet Tablets
  MediaBox Media Center was built to handle large collections of media and lets you browse and play your music and videos and show your photos either from your memory cards, or remotely over the network via UPnP/DLNA.
- .
- More features are available as plugins.
+XB-Maemo-Display-Name: MediaBox Media Center
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=MediaBox
 ### DIABLO
 #XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAABmJLR0QAAAAAAAD5Q7t/AAAACXBIWXMAAA3WAAAN1gGQb3mcAAACoklEQVRIx+2US0iUURTHf/ebr9EZxxkVX71UNMtXYGhED4qChDaR1KqHuLNNFkLRrkWrFm2iaFPt3LUpCCKSiKJgMAozjcF8IejM5Mw443zjzHzz3RZ9H/h+5C48cLn3nnP+5385/8OFLVvDxGbAVzuPbheKUQ8UCCHzhZA1Qsiih/e9l60cdV2Frh9pFEIWmoUqwNg+N5eqyHZq51aArJ/g2s3DdxOJ+EmXSzlq+YpKHFTtKTZcOSW4nKWAgk2xE5rx8a6nfwF+TQLFNtfVcqbcWZhfh9NRiJQSKSWpdEyJRIeZDH5lbDSKfzJO67lWYIMEAKVFzYxPfKLX618Sm41lBkH1utyyjWU0XRcBQK/Xz2ws81PXba9V1Ra221W/lCKsqsKHFH6kdmVTBABPHvXVrhS7cfvA8i3eCMG/2BbBmraSyCt9IQpAR+ehW4ZMnjYymZpct7rDCsYTU/PzJCAXEPz9W/S2hDZ3Kq9AabH8aT1mHXMuXKx/0NDobC/bvRdPbgWO7AKklEwGvxAKj1h5NiCzhCASjt6prnV2NDXXke+pJs9dCVLiG31JUYkDoGpXmb29bt9BmUiGxaw2hZYIEgqPMT4aJRDQmBhLPzY7YyxukSjdqXacOH4Mw9Cx2bIIRXz8Dg3Q3zclZ2aSAigHmI4MCC2eNuJxPaOnMyIQ0FTDkIwMxd+/eO67t6oGv0a/kZ2t4nGHSCSn5fBQRPinUr7PHwI9QFX3s6Guge8zl+r2e5osTQb7o96Jca37R9/kF8A+T4MFYoqz5xtOuD3G08LirEoAXSfgG4x9fPNq6C2QBkZMjN18nFUoBcSBaSBo7gYgF0+LYgKzgBzAYRZOzYsLYJsppHVPAglAM3e52jiKeQtr3My7XCZ3sU/yX9kfipAKGtdWh2UAAAAASUVORK5CYII=
 ### FREMANTLE

## mediabox 2010.02.06

=== debian/changelog ===
mediabox (2010.02.06) unstable; urgency=low

  Distinguish albums by folder, not by artist (solves issues with various
  artists on one album)
  
  D-Bus interface for controlling MediaBox by a widget, for example

 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 06 Feb 2010 17:15:00 +0100

mediabox (2010.01.30) unstable; urgency=low

  Small performance improvements

  Worked around silent mode on N900 (see bugs.maemo.org #6694)
 
 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 30 Jan 2010 19:45:00 +0100

mediabox (2010.01.27) unstable; urgency=low

  Volume control in GStreamer backend controls device volume on N900

  Small bug fixes
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Wed, 27 Jan 2010 21:45:00 +0100

mediabox (2010.01.26) unstable; urgency=low

  Use FM-Boost script if available
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Tue, 26 Jan 2010 22:00:00 +0100

mediabox (2010.01.24) unstable; urgency=low

  Maemo4 compatibility
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 24 Jan 2010 12:00:00 +0100

mediabox (2010.01.17) unstable; urgency=low

  Added YouTube plugin
  
  MediaBox sets the device volume via mafw while GStreamer volume remains at max
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Sun, 17 Jan 2010 01:30:00 +0100

mediabox (2010.01.12) unstable; urgency=low

  Fixed shuffle mode bug where played files got shuffled in again
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Tue, 12 Jan 2010 20:15:00 +0100

## mediabox 2010.05.08

=== debian/changelog ===
mediabox (2010.05.08) unstable; urgency=low

  Playback gets paused during a phone call

  Distinguish albums by folder, not by artist (solves issues with various
  artists on one album)
  
  D-Bus interface for controlling MediaBox by a widget, for example

  YouTube browser plugin with support for high quality videos

  Small performance improvements

  Worked around silent mode on N900 (see bugs.maemo.org #6694)
 
  Volume control in GStreamer backend controls device volume on N900
  
  Use FM-Boost script if available
  
  Maemo4 compatibility
  
  MediaBox sets the device volume via mafw while GStreamer volume remains at max
  
  Fixed shuffle mode bug where played files got shuffled in again
  
  Small bug fixes
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 08 May 2010 23:00:00 +0200

## mediabox 2010.06.14

=== debian/changelog ===
mediabox (2010.06.14) unstable; urgency=low

  Automatically scale down large images before storing as thumbnail.
  This increases scrolling speed in the lists and saves disk space
  
  Various performance improvements

  Put configurator for changing media backends in again
  
  Support for displaying embedded cover art in MP3 streams (GStreamer and
  MAFW backends)
  
  Configurator for configuring media player backends
  
  MAFW backend for Maemo5 (yay, finally!)
  
  MPlayer backend now available on Maemo5, too
  
  Download manager and download option in YouTube and UPnP components

  Maemo4 and MeeGo netbook windowing stuff
  
  Support for automatic screen rotation on N900
  
  Small bug fixes
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Mon, 14 Jun 2010 19:45:00 +0200

=== debian/control ===
Source: mediabox
Section: user/multimedia
Priority: optional
Maintainer: Martin Grimme <martin.grimme@lintegra.de>
Build-Depends: debhelper (>= 5), python2.5
Standards-Version: 3.7.2

Package: mediabox
Architecture: any
Depends: python2.5, python2.5-gtk2, python2.5-gobject, python2.5-osso, python2.5-hildon, python2.5-gnome, python2.5-dbus, python2.5-gstreamer
Description: Media Center for Nokia Internet Tablets
 MediaBox Media Center was built to handle large collections of media and lets you browse and play your music and videos and show your photos either from your memory cards, or remotely over the network via UPnP/DLNA.
XB-Maemo-Display-Name: MediaBox Media Center
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=MediaBox
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAABmJLR0QAAAAAAAD5Q7t/AAAACXBIWXMAAA3WAAAN1gGQb3mcAAACoklEQVRIx+2US0iUURTHf/ebr9EZxxkVX71UNMtXYGhED4qChDaR1KqHuLNNFkLRrkWrFm2iaFPt3LUpCCKSiKJgMAozjcF8IejM5Mw443zjzHzz3RZ9H/h+5C48cLn3nnP+5385/8OFLVvDxGbAVzuPbheKUQ8UCCHzhZA1Qsiih/e9l60cdV2Frh9pFEIWmoUqwNg+N5eqyHZq51aArJ/g2s3DdxOJ+EmXSzlq+YpKHFTtKTZcOSW4nKWAgk2xE5rx8a6nfwF+TQLFNtfVcqbcWZhfh9NRiJQSKSWpdEyJRIeZDH5lbDSKfzJO67lWYIMEAKVFzYxPfKLX618Sm41lBkH1utyyjWU0XRcBQK/Xz2ws81PXba9V1Ra221W/lCKsqsKHFH6kdmVTBABPHvXVrhS7cfvA8i3eCMG/2BbBmraSyCt9IQpAR+ehW4ZMnjYymZpct7rDCsYTU/PzJCAXEPz9W/S2hDZ3Kq9AabH8aT1mHXMuXKx/0NDobC/bvRdPbgWO7AKklEwGvxAKj1h5NiCzhCASjt6prnV2NDXXke+pJs9dCVLiG31JUYkDoGpXmb29bt9BmUiGxaw2hZYIEgqPMT4aJRDQmBhLPzY7YyxukSjdqXacOH4Mw9Cx2bIIRXz8Dg3Q3zclZ2aSAigHmI4MCC2eNuJxPaOnMyIQ0FTDkIwMxd+/eO67t6oGv0a/kZ2t4nGHSCSn5fBQRPinUr7PHwI9QFX3s6Guge8zl+r2e5osTQb7o96Jca37R9/kF8A+T4MFYoqz5xtOuD3G08LirEoAXSfgG4x9fPNq6C2QBkZMjN18nFUoBcSBaSBo7gYgF0+LYgKzgBzAYRZOzYsLYJsppHVPAglAM3e52jiKeQtr3My7XCZ3sU/yX9kfipAKGtdWh2UAAAAASUVORK5CYII=

## mediabox 2010.06.26

=== Makefile ===
--- 
+++ 
@@ -46,7 +46,7 @@
 	@true
 
 py-compile:
-	python2.5 -OO pycompile/compileall.py -x MediaBox.py ${_LIBDIR}; true
+	python2.5 -O pycompile/compileall.py -x MediaBox.py ${_LIBDIR}; true
 	find ${_LIBDIR} -name "*.py" | grep -v MediaBox.py | xargs rm; true
 
 install-lib:

=== debian/changelog ===
mediabox (2010.06.26) unstable; urgency=low

  Automatically scale down large images before storing as thumbnail.
  This increases scrolling speed in the lists and saves disk space
  
  Various performance improvements

  Put configurator for changing media backends in again
  
  Put configurator for sleep timer in again
  
  Support for displaying embedded cover art in MP3 streams (GStreamer and
  MAFW backends)
  
  Configurator for configuring media player backends
  
  MAFW backend for Maemo5 (yay, finally!)
  
  MPlayer backend now available on Maemo5, too
  
  Download manager and download option in YouTube and UPnP components
  
  Recursive download of directories from UPnP media shares

  Maemo4 and MeeGo netbook windowing stuff
  
  Support for the metalayer crawler service on Maemo4
  
  Support for automatic screen rotation on N900
  
  Small bug fixes
  
 -- Martin Grimme <martin.grimme@lintegra.de>  Sat, 26 Jun 2010 13:30:00 +0200

=== debian/control ===
Source: mediabox
Section: user/multimedia
Priority: optional
Maintainer: Martin Grimme <martin.grimme@lintegra.de>
Build-Depends: debhelper (>= 5), python2.5-minimal
Standards-Version: 3.7.2

Package: mediabox
Architecture: any
Depends: python2.5, python-gtk2, python-gobject, python-osso, python-hildon, python-gconf, python-dbus, python-gst0.10
Description: Media Center for Nokia Internet Tablets
 MediaBox Media Center was built to handle large collections of media and lets you browse and play your music and videos and show your photos either from your memory cards, or remotely over the network via UPnP/DLNA.
XB-Maemo-Display-Name: MediaBox Media Center
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=MediaBox
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAAAAAAA
 A+UO7fwAAAAlwSFlzAAAloQAAJaEBLDrLdwAAAAd0SU1FB9kKBRQKL86a0asAAAc1SURBVGje7VlbbJ
 tnGX7e7z/YjuPatePES9Mm6SLWZRykHqiKuu7E2BppEkIFxAWHmwkkJC6QgDVbm6awFCQqJC4qTYjDB
 bewCUqSreMg2AVC9AIVGKJb22TO2W7ixI79///3vS8XtiMTdevWzK0reKXXv//Plr//+Z73bKBJ0nt0
 7B0/7x/63vuyD6GJ0jd0BsysmKW6k0AAEgQ2sr//FjJDIwhLGNcmjt/yHnYzAYjIQcuynnJssgEIgJI
 AfxYbf8HAl1bnx0cBALueHMP05HDrMZB5bPTkQH/3aH9vBsYwjGHMLV7H4uLKP8sV7+ulNe9C7rVR3s
 oeqpkAfF/zPZkkBgd3Y1ffTuy5f7d8cuiwfOLRvYMdqW0vhtucY7A/VzO3sdYDAADCjELRw9z1ErJLa
 /T6dJ5S6Q45dGAw0pXefibz0J6PAsC18WEMHhtpLQBEALNAa11ThtYG0/MFytyTlv6+zO5EvP0LyQef
 SwLA8mq01RggCAuCwMAPDIJA195rzCyt0QcGdiK1Pfa06zofAYC5V77ZggyIQGtTVWOgjYY2jOXVMhh
 KdnSn3Y5U/Fj88LPJeuhtKR9gFgTaQGstRmuIYbBhMcwylytSd3ca0bbw59tC7n1VXzjeSgwQWKp2v7
 5eofnZhXJ+KR+I8YlEsFqqiIGSjo54LJFo/1Ty8HPbqln8TCtFIYFhQX4pj+z07OQ/Lv37pStvZkva8
 4ggWMgXqasrjUg4/HQkEhoEgKmJ4+h98kwLMIB6FDLw/QCszfjc70Y+Mzsz97Nsdj7QQUDrlUCYLEml
 EvFoNPKVrkdG0wAwNXkcfUPfvcMMEIGlGoXYMARiA4Ct1Oj83OJEPncdrDXllkvo7OpALBb9YjjsfDb
 90Eik6g/P3LRAtJvNgNQYYBYQVSuX6VdOLO14/PT3FxZy95JlPxCJRmlNQXb0ZMhocxZYczOPnjrvuk
 5OKWWLwCHC3LXx43zbfQC1UCoiG0s7Hj6NmQsn/1Qurp/LLeby68US1ooeke3Kzl3dbrpz+9nOzuSPH
 Mc5DeAsIN+ASOiOOPGNxG13AQAzr548Vyys/SC3mFssrq4iny+QbwSZTCfaY9EjiuirEOwDcF1I+LaX
 028nV88/g11DY5geH0b2wonnex7/9rzvVY6FI219q7YVFuFiqVSeM1q/RiI/nZp89q16wXdtfPjOAwC
 A6fFh9D4xhqmXh5G9cOLHmcdGf+l7/l4I4iyyWAm8vy7/cayy0cEdHcPV8eHWYKAuUy8PY+DoD1GhZW
 THR5YB/Hbzd+pMXZ0YRsuYUKO8MfG1mzJ1RzNxs+X/AO504938Yk6q44hmoVDNPnoWAbPcnQzUq1EWu
 VtNiKoAWJrmB03viY1UG5q714m5XonS3clA3YTuWh8wIuDmEXB7opBpFSfufuoUHvj4ufeWB5psQjet
 RvftewELOxaR/dUJzP76FGZr69sODfe4ttWrLJUEUQgErYCCMM8svH7pMhZeFADe5nbytgLoPTqGixN
 fBi5W71NHTn7MUvTpcNg9kE7Fk21t4bBtK0eElDEsFT/Q5fWKF40eXPX8vRcJci8LmprI3hHAVK2J6H
 xk5IMh1/1Of2/X/oG+7uT2RHtEiBAYgR8YeIGB72sEvobnB6h4AUql9Q+vrBSYLAuGueoDInRbAcT7j
 9ix3Q8f2rY98fODe+/rSabiykDBkAUGRLMhXwgBC3xR8IXgixJNFpEbdmNJGyIQYSEQgY3n1n46BIAB
 mNr1fQdgAVAUzaSjsdjzHxrcvctti2I2XxalFJFSAEBSmzwHWm+M0H0/IC8w0IEBM0AAgaqZTLTnAog
 ACAPQNQCNKlsFQLU1G4CCmISyrAcT8RjeeCsvlmWRbSmQourQSgDDDMPVAa6u/QdgmKuxXwQCQCkFEE
 E4cGoAQjUAdRC6QXkrAKzamgNAGW8VbMzs8spad9gmLCwXYVtqY8JWL/jrJfNGtJGNFxCRmCAgDoKS8
 UqF2sM7tcOiTSlOGvRdibUpJ1h18wFgia4YN9FfWPfxRE8mScl4m3i+prIX1MaF1dP/r4evlRCKCKSU
 sDFUKhSwvrLw0srlV3+hS0tefepYO23ZpHyrAOogNpS9NfGLuSsId1zOrwYH2JhoOtGOrlQM0YgrIdc
 mx7HgOAqOreDYFmzLEiKiQAcoF4tULCx75ZXZnyz/a/KF8sLfcw0PaTZdueH+ltvVRh/YUOXGnFjP/s
 5tvfuPum2JY44b2huJROA4NpRlQQTQhjfG6IHvQwfetCkXzpfmL/1m5c0/XOGgHGxyXP02fsBbAdDIR
 B1A3awsK5J0rVDMDaf64tHOPfdboVg/WU4HEYWFJRAOCsZby5avT10uzf5tXnRF60ohgHDjKd8o+uj3
 evLvdmBADWAazcsiJ2Ipy7VAFhGBIICwJuGAWXsM2SiA+Aa6pdC5lYkHNYCiG+iNosktO+j/hPwHnvz
 0HbQxccMAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/mediabox.sgml > mediabox.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mediabox.
	$(MAKE) DESTDIR=$(CURDIR)/debian/mediabox install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
